function t = mttissquare(x)
%MTTISSQUARE True for square matrix input.
%
%   MTTISSQUARE(X) returns 1 if it's argument is a square matrix and 0
%   otherwise.

%   This program is a part of the MTT (MATLAB Tips & Tricks) Toolbox.
%   Copyright (c) 2002 Peter J. Acklam. All rights reserved.
%
%   This program is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.  See the file COPYING for details.
%
%   Author:      Peter J. Acklam
%   Time-stamp:  2003-03-31 18:31:44 +0200
%   E-mail:      pjacklam@online.no
%   URL:         http://home.online.no/~pjacklam

   % check number of input arguments
   error(nargchk(1, 1, nargin));

   % see if input is a square matrix
   t = (ndims(x) == 2) & ...            % must be 2-D (matrix) and
       (size(x,1) == size(x,2));        % square
